/*
    MathComplexArrayPrivate - functions shared by complex MathArrays
    
    Copyright (C) 1995, Adam Fedor
    
    $Id: MathComplexArrayPrivate.h,v 1.4 1995/08/10 16:47:23 adam Exp $
*/

#ifndef _MathComplexArrayPrivate_INCLUDE_
#define _MathComplexArrayPrivate_INCLUDE_

#include "MathArray/MathArray.h"

extern complex_double find_cmin(complex_double a, complex_double b); 
extern complex_double find_cmax(complex_double a, complex_double b); 
extern complex_double find_csum(complex_double sum, complex_double num); 

extern complex_double complexf2d(const void *data, unsigned long loc); 
extern complex_float complexd2f(const void *data, unsigned long loc); 

typedef complex_double (*operate_f_t)(complex_double, complex_double);
typedef complex_double (*complex_func_t)(complex_double);

extern operate_f_t operate_function(ma_operator_t);
extern complex_func_t replace_function(double_func_t cf);

#endif
